%define upstream_name    Unicode-Collate
%define upstream_version 0.97

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Weighting JIS KANJI for Unicode::Collate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is an implementation of Unicode Technical Standard #10 (a.k.a.
UTS #10) - Unicode Collation Algorithm (a.k.a. UCA).

Constructor and Tailoring
    The 'new' method returns a collator object. If new() is called with no
    parameters, the collator should do the default collation.

       $Collator = Unicode::Collate->new(
          UCA_Version => $UCA_Version,
          alternate => $alternate, # alias for 'variable'
          backwards => $levelNumber, # or \@levelNumbers
          entry => $element,
          hangul_terminator => $term_primary_weight,
          ignoreName => qr/$ignoreName/,
          ignoreChar => qr/$ignoreChar/,
          ignore_level2 => $bool,
          katakana_before_hiragana => $bool,
          level => $collationLevel,
          normalization  => $normalization_form,
          overrideCJK => \&overrideCJK,
          overrideHangul => \&overrideHangul,
          preprocess => \&preprocess,
          rearrange => \@charList,
          rewrite => \&rewrite,
          suppress => \@charList,
          table => $filename,
          undefName => qr/$undefName/,
          undefChar => qr/$undefChar/,
          upper_before_lower => $bool,
          variable => $variable,
       );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 405583
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 374612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 341880
- update to 0.97

* Wed Nov 07 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 315588
- update to 0.91

* Mon Oct 01 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 301466
- imported package perl-Unicode-Collate


* Mon Oct 01 2012 cpan2dist 0.90-1mga
- initial mageia release, generated with cpan2dist
